Bug 1427907 - dw2102 based USB DVB boxes fail on kernel-4.9 due to the new CONFIG_VMAP_STACK [NEEDINFO]
Summary: dw2102 based USB DVB boxes fail on kernel-4.9 due to the new CONFIG_VMAP_STACK
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 13:50 UTC by Leo Bergolth
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:09:41 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Leo Bergolth 2017-03-01 13:50:53 UTC
Description of problem:
dw2102 bases USB DVB boxes fail on kernel-4.9 due to the new CONFIG_VMAP_STACK.

It looks like this patch will fix the problem:
https://patchwork.linuxtv.org/patch/39435/


Version-Release number of selected component (if applicable):
kernel-4.9.10-100.fc24.x86_64
dw2102 (dvb-usb: found a 'Terratec Cinergy S2 USB BOX')


How reproducible:
Boot kernel 4.9 with USB DVB box pulgged in.

Additional info:
Feb 25 23:50:51 apu kernel: [    4.993457] dw2102: su3000_identify_state
Feb 25 23:50:51 apu kernel: [    4.993458] dvb-usb: found a 'Terratec Cinergy S2 USB BOX' in warm state.
Feb 25 23:50:51 apu kernel: [    4.993462] dw2102: su3000_power_ctrl: 1, initialized 0
Feb 25 23:50:51 apu kernel: [    4.993464] ------------[ cut here ]------------
Feb 25 23:50:51 apu kernel: [    4.993469] WARNING: CPU: 1 PID: 704 at drivers/usb/core/hcd.c:1584 usb_hcd_map_urb_for_dma+0x37f/0x570
Feb 25 23:50:51 apu kernel: [    4.993469] transfer buffer not dma capable
Feb 25 23:50:51 apu kernel: [    4.993491] Modules linked in: dvb_usb_dw2102(+) i2c_i801(+) dvb_usb btbcm soundcore i2c_smbus dvb_core btqca btintel shpchp mei_me joydev bluetooth ftdi_sio rc_core mei acpi_als intel_pch_thermal kfifo_buf rfkill pinctrl_sunrisepoint industrialio intel_lpss_acpi pinctrl_intel intel_lpss tpm_tis acpi_pad tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c hid_logitech_hidpp hid_logitech_dj i915 uas usb_storage i2c_algo_bit drm_kms_helper drm crc32c_intel r8169 serio_raw mii video i2c_hid fjes
Feb 25 23:50:51 apu kernel: [    4.993493] CPU: 1 PID: 704 Comm: systemd-udevd Tainted: G     U          4.9.11-200.fc25.x86_64 #1
Feb 25 23:50:51 apu kernel: [    4.993494] Hardware name: ZOTAC ZBOX-CI523NANO/ZBOX-CI543NANO/ZBOX-CI523NANO/ZBOX-CI543NANO, BIOS B320P203 06/13/2016
Feb 25 23:50:51 apu kernel: [    4.993498]  ffffa2b0820876e8 ffffffff9e3f48bd ffffa2b082087738 0000000000000000
Feb 25 23:50:51 apu kernel: [    4.993500]  ffffa2b082087728 ffffffff9e0a306b 000006309e2df4af ffff8d0cd7378240
Feb 25 23:50:51 apu kernel: [    4.993502]  0000000000000000 ffff8d0cd831d000 0000000000000001 ffff8d0cda646000
Feb 25 23:50:51 apu kernel: [    4.993502] Call Trace:
Feb 25 23:50:51 apu kernel: [    4.993507]  [<ffffffff9e3f48bd>] dump_stack+0x63/0x86
Feb 25 23:50:51 apu kernel: [    4.993510]  [<ffffffff9e0a306b>] __warn+0xcb/0xf0
Feb 25 23:50:51 apu kernel: [    4.993512]  [<ffffffff9e0a30ef>] warn_slowpath_fmt+0x5f/0x80
Feb 25 23:50:51 apu kernel: [    4.993516]  [<ffffffff9e22f18e>] ? get_partial_node.isra.68+0x17e/0x230
Feb 25 23:50:51 apu kernel: [    4.993518]  [<ffffffff9e5ed46f>] usb_hcd_map_urb_for_dma+0x37f/0x570
Feb 25 23:50:51 apu kernel: [    4.993521]  [<ffffffff9e425985>] ? mul_n_basecase+0x75/0x110
Feb 25 23:50:51 apu kernel: [    4.993523]  [<ffffffff9e5edc5a>] usb_hcd_submit_urb+0x35a/0xb50
Feb 25 23:50:51 apu kernel: [    4.993525]  [<ffffffff9e4143ed>] ? list_del+0xd/0x30
Feb 25 23:50:51 apu kernel: [    4.993528]  [<ffffffff9e22f4d2>] ? ___slab_alloc+0x292/0x540
Feb 25 23:50:51 apu kernel: [    4.993530]  [<ffffffff9e5ef604>] usb_submit_urb+0x2f4/0x560
Feb 25 23:50:51 apu kernel: [    4.993533]  [<ffffffff9e0fc602>] ? log_store+0x1b2/0x270
Feb 25 23:50:51 apu kernel: [    4.993535]  [<ffffffff9e5eff1e>] usb_start_wait_urb+0x6e/0x170
Feb 25 23:50:51 apu kernel: [    4.993538]  [<ffffffff9e5f046d>] usb_bulk_msg+0xbd/0x160
Feb 25 23:50:51 apu kernel: [    4.993542]  [<ffffffffc0587c60>] dvb_usb_generic_rw+0xe0/0x1e0 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    4.993546]  [<ffffffffc079b6b4>] su3000_power_ctrl+0x94/0xa0 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    4.993548]  [<ffffffffc058752f>] dvb_usb_device_power_ctrl+0x3f/0x50 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    4.993550]  [<ffffffffc0587773>] dvb_usb_device_init+0x233/0x640 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    4.993553]  [<ffffffff9e23353a>] ? __kmalloc_track_caller+0x19a/0x210
Feb 25 23:50:51 apu kernel: [    4.993556]  [<ffffffffc079bcc0>] ? dw2102_rc_query+0xa0/0xa0 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    4.993559]  [<ffffffffc079b565>] dw2102_probe+0x355/0x3e0 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    4.993562]  [<ffffffff9e5f48c9>] usb_probe_interface+0x159/0x2d0
Feb 25 23:50:51 apu kernel: [    4.993564]  [<ffffffff9e54c293>] driver_probe_device+0x223/0x430
Feb 25 23:50:51 apu kernel: [    4.993565]  [<ffffffff9e54c57f>] __driver_attach+0xdf/0xf0
Feb 25 23:50:51 apu kernel: [    4.993567]  [<ffffffff9e54c4a0>] ? driver_probe_device+0x430/0x430
Feb 25 23:50:51 apu kernel: [    4.993570]  [<ffffffff9e549c7c>] bus_for_each_dev+0x6c/0xc0
Feb 25 23:50:51 apu kernel: [    4.993573]  [<ffffffff9e54b9de>] driver_attach+0x1e/0x20
Feb 25 23:50:51 apu kernel: [    4.993575]  [<ffffffff9e54b410>] bus_add_driver+0x170/0x270
Feb 25 23:50:51 apu kernel: [    4.993577]  [<ffffffff9e54cea0>] driver_register+0x60/0xe0
Feb 25 23:50:51 apu kernel: [    4.993579]  [<ffffffff9e5f3191>] usb_register_driver+0x81/0x140
Feb 25 23:50:51 apu kernel: [    4.993580]  [<ffffffffc07ad000>] ? 0xffffffffc07ad000
Feb 25 23:50:51 apu kernel: [    4.993583]  [<ffffffffc07ad01e>] dw2102_driver_init+0x1e/0x1000 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    4.993585]  [<ffffffff9e002190>] do_one_initcall+0x50/0x180
Feb 25 23:50:51 apu kernel: [    4.993587]  [<ffffffff9e20f7a1>] ? __vunmap+0x81/0xd0
Feb 25 23:50:51 apu kernel: [    4.993589]  [<ffffffff9e22fbe9>] ? kmem_cache_alloc_trace+0x159/0x1b0
Feb 25 23:50:51 apu kernel: [    4.993592]  [<ffffffff9e1c07ca>] ? do_init_module+0x27/0x1ef
Feb 25 23:50:51 apu kernel: [    4.993594]  [<ffffffff9e1c0802>] do_init_module+0x5f/0x1ef
Feb 25 23:50:51 apu kernel: [    4.993596]  [<ffffffff9e130241>] load_module+0x25b1/0x2980
Feb 25 23:50:51 apu kernel: [    4.993598]  [<ffffffff9e12cb20>] ? __symbol_put+0x60/0x60
Feb 25 23:50:51 apu kernel: [    4.993601]  [<ffffffff9e130783>] SYSC_init_module+0x173/0x190
Feb 25 23:50:51 apu kernel: [    4.993603]  [<ffffffff9e1308be>] SyS_init_module+0xe/0x10
Feb 25 23:50:51 apu kernel: [    4.993606]  [<ffffffff9e81dc37>] entry_SYSCALL_64_fastpath+0x1a/0xa9
Feb 25 23:50:51 apu kernel: [    4.993608] ---[ end trace 7d5c5dde359304f5 ]---
Feb 25 23:50:51 apu kernel: [    4.993609] dvb-usb: bulk message failed: -11 (2/0)
Feb 25 23:50:51 apu kernel: [    4.993648] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
[...]
Feb 25 23:50:51 apu kernel: [    5.006856] usbcore: registered new interface driver btusb
Feb 25 23:50:51 apu kernel: [    5.009750] DVB: registering new adapter (Terratec Cinergy S2 USB BOX)
Feb 25 23:50:51 apu kernel: [    5.009754] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.012124] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015058] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.015059] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015060] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.015060] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015062] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.015062] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015063] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.015063] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015064] dvb-usb: bulk message failed: -11 (6/0)
Feb 25 23:50:51 apu kernel: [    5.015064] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015065] dvb-usb: MAC address: 00:be:be:be:be:be
Feb 25 23:50:51 apu kernel: [    5.015488] dvb-usb: bulk message failed: -11 (3/0)
Feb 25 23:50:51 apu kernel: [    5.015489] dw2102: command 0x0e transfer failed.
Feb 25 23:50:51 apu kernel: [    5.015490] dvb-usb: bulk message failed: -11 (3/0)
Feb 25 23:50:51 apu kernel: [    5.015490] dw2102: command 0x0e transfer failed.
[...]
Feb 25 23:50:51 apu kernel: [    5.316719] dvb-usb: bulk message failed: -11 (3/0)
Feb 25 23:50:51 apu kernel: [    5.318379] dw2102: command 0x0e transfer failed.
Feb 25 23:50:51 apu kernel: [    5.320112] dvb-usb: bulk message failed: -11 (3/0)
Feb 25 23:50:51 apu kernel: [    5.321760] dw2102: command 0x0e transfer failed.
Feb 25 23:50:51 apu kernel: [    5.323369] dvb-usb: bulk message failed: -11 (1/0)
Feb 25 23:50:51 apu kernel: [    5.325029] dw2102: command 0x51 transfer failed.
Feb 25 23:50:51 apu kernel: [    5.333179] dvb-usb: bulk message failed: -11 (5/0)
Feb 25 23:50:51 apu kernel: [    5.334882] dw2102: i2c transfer failed.
Feb 25 23:50:51 apu kernel: [    5.336443] BUG: unable to handle kernel NULL pointer dereference at           (null)
Feb 25 23:50:51 apu kernel: [    5.338074] IP: [<          (null)>]           (null)
Feb 25 23:50:51 apu kernel: [    5.339667] PGD 0 
Feb 25 23:50:51 apu kernel: [    5.339693] 
Feb 25 23:50:51 apu kernel: [    5.341243] Oops: 0010 [#1] SMP
Feb 25 23:50:51 apu kernel: [    5.342803] Modules linked in: m88ds3103 i2c_mux snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_hda_codec_realtek snd_soc_sst_dsp snd_hda_codec_generic snd_hda_ext_core snd_soc_sst_match intel_rapl snd_soc_core iwlwifi snd_compress snd_pcm_dmaengine ac97_bus x86_pkg_temp_thermal snd_hda_intel intel_powerclamp coretemp snd_hda_codec cfg80211 kvm_intel kvm snd_hda_core snd_hwdep snd_seq irqbypass iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_seq_device intel_cstate intel_uncore snd_pcm intel_rapl_perf snd_timer btusb btrtl dvb_usb_dw2102(+) hci_uart snd i2c_i801 dvb_usb btbcm soundcore i2c_smbus dvb_core btqca btintel shpchp mei_me joydev bluetooth ftdi_sio rc_core mei acpi_als intel_pch_thermal kfifo_buf rfkill pinctrl_sunrisepoint industrialio
Feb 25 23:50:51 apu kernel: [    5.354857]  intel_lpss_acpi pinctrl_intel intel_lpss tpm_tis acpi_pad tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c hid_logitech_hidpp hid_logitech_dj i915 uas usb_storage i2c_algo_bit drm_kms_helper drm crc32c_intel r8169 serio_raw mii video i2c_hid fjes
Feb 25 23:50:51 apu kernel: [    5.364249] CPU: 3 PID: 704 Comm: systemd-udevd Tainted: G     U  W       4.9.11-200.fc25.x86_64 #1
Feb 25 23:50:51 apu kernel: [    5.366807] Hardware name: ZOTAC ZBOX-CI523NANO/ZBOX-CI543NANO/ZBOX-CI523NANO/ZBOX-CI543NANO, BIOS B320P203 06/13/2016
Feb 25 23:50:51 apu kernel: [    5.371918] task: ffff8d0cdab2be00 task.stack: ffffa2b082084000
Feb 25 23:50:51 apu kernel: [    5.374557] RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
Feb 25 23:50:51 apu kernel: [    5.377219] RSP: 0018:ffffa2b082087960  EFLAGS: 00010202
Feb 25 23:50:51 apu kernel: [    5.379903] RAX: 0000000000000001 RBX: ffffa2b0820879c0 RCX: 0000000000000001
Feb 25 23:50:51 apu kernel: [    5.382544] RDX: 0000000000000001 RSI: ffffffffc09406b8 RDI: ffff8d0cdb2c8800
Feb 25 23:50:51 apu kernel: [    5.385175] RBP: ffffa2b082087a38 R08: ffff8d0cd7378248 R09: 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.387771] R10: 0000000000000000 R11: ffff8d0cdbc55d80 R12: ffff8d0cd966d2d8
Feb 25 23:50:51 apu kernel: [    5.390367] R13: ffff8d0cdb2c8800 R14: ffff8d0cdaadad00 R15: 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.392996] FS:  00007f52e0cfb8c0(0000) GS:ffff8d0ceed80000(0000) knlGS:0000000000000000
Feb 25 23:50:51 apu kernel: [    5.395697] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb 25 23:50:51 apu kernel: [    5.398308] CR2: 0000000000000000 CR3: 000000045a417000 CR4: 00000000003406e0
Feb 25 23:50:51 apu kernel: [    5.400970] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.403666] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Feb 25 23:50:51 apu kernel: [    5.406295] Stack:
Feb 25 23:50:51 apu kernel: [    5.408899]  ffffffffc079c39b ffffa2b082087970 00030021019bfcc0 0012990000003e80
Feb 25 23:50:51 apu kernel: [    5.411599]  0000000000000000 0000000000000000 0000000000000000 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.414346]  0000000000000000 0000000000000000 0000000000000000 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.416958] Call Trace:
Feb 25 23:50:51 apu kernel: [    5.419565]  [<ffffffffc079c39b>] ? tt_s2_4600_frontend_attach+0x27b/0x420 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    5.422322]  [<ffffffffc0588380>] ? dvb_usb_fe_sleep+0x60/0x60 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    5.424980]  [<ffffffffc058871f>] dvb_usb_adapter_frontend_init+0xdf/0x190 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    5.427607]  [<ffffffffc05879f0>] dvb_usb_device_init+0x4b0/0x640 [dvb_usb]
Feb 25 23:50:51 apu kernel: [    5.430146]  [<ffffffffc079bcc0>] ? dw2102_rc_query+0xa0/0xa0 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    5.432648]  [<ffffffffc079b565>] dw2102_probe+0x355/0x3e0 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    5.435065]  [<ffffffff9e5f48c9>] usb_probe_interface+0x159/0x2d0
Feb 25 23:50:51 apu kernel: [    5.437479]  [<ffffffff9e54c293>] driver_probe_device+0x223/0x430
Feb 25 23:50:51 apu kernel: [    5.439715]  [<ffffffff9e54c57f>] __driver_attach+0xdf/0xf0
Feb 25 23:50:51 apu kernel: [    5.441858]  [<ffffffff9e54c4a0>] ? driver_probe_device+0x430/0x430
Feb 25 23:50:51 apu kernel: [    5.443941]  [<ffffffff9e549c7c>] bus_for_each_dev+0x6c/0xc0
Feb 25 23:50:51 apu kernel: [    5.445971]  [<ffffffff9e54b9de>] driver_attach+0x1e/0x20
Feb 25 23:50:51 apu kernel: [    5.447911]  [<ffffffff9e54b410>] bus_add_driver+0x170/0x270
Feb 25 23:50:51 apu kernel: [    5.449838]  [<ffffffff9e54cea0>] driver_register+0x60/0xe0
Feb 25 23:50:51 apu kernel: [    5.451625]  [<ffffffff9e5f3191>] usb_register_driver+0x81/0x140
Feb 25 23:50:51 apu kernel: [    5.453365]  [<ffffffffc07ad000>] ? 0xffffffffc07ad000
Feb 25 23:50:51 apu kernel: [    5.455113]  [<ffffffffc07ad01e>] dw2102_driver_init+0x1e/0x1000 [dvb_usb_dw2102]
Feb 25 23:50:51 apu kernel: [    5.456872]  [<ffffffff9e002190>] do_one_initcall+0x50/0x180
Feb 25 23:50:51 apu kernel: [    5.458664]  [<ffffffff9e20f7a1>] ? __vunmap+0x81/0xd0
Feb 25 23:50:51 apu kernel: [    5.460388]  [<ffffffff9e22fbe9>] ? kmem_cache_alloc_trace+0x159/0x1b0
Feb 25 23:50:51 apu kernel: [    5.462158]  [<ffffffff9e1c07ca>] ? do_init_module+0x27/0x1ef
Feb 25 23:50:51 apu kernel: [    5.463888]  [<ffffffff9e1c0802>] do_init_module+0x5f/0x1ef
Feb 25 23:50:51 apu kernel: [    5.465587]  [<ffffffff9e130241>] load_module+0x25b1/0x2980
Feb 25 23:50:51 apu kernel: [    5.467310]  [<ffffffff9e12cb20>] ? __symbol_put+0x60/0x60
Feb 25 23:50:51 apu kernel: [    5.468952]  [<ffffffff9e130783>] SYSC_init_module+0x173/0x190
Feb 25 23:50:51 apu kernel: [    5.470557]  [<ffffffff9e1308be>] SyS_init_module+0xe/0x10
Feb 25 23:50:51 apu kernel: [    5.472172]  [<ffffffff9e81dc37>] entry_SYSCALL_64_fastpath+0x1a/0xa9
Feb 25 23:50:51 apu kernel: [    5.473801] Code:  Bad RIP value.
Feb 25 23:50:51 apu kernel: [    5.475435] RIP  [<          (null)>]           (null)
Feb 25 23:50:51 apu kernel: [    5.477051]  RSP <ffffa2b082087960>
Feb 25 23:50:51 apu kernel: [    5.478655] CR2: 0000000000000000
Feb 25 23:50:51 apu kernel: [    5.480251] ---[ end trace 7d5c5dde359304f6 ]---

Comment 1 Justin M. Forbes 2017-04-11 14:38:43 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2017-04-28 17:09:41 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.